<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button text="" defaultHref="app/tabs/library"></ion-back-button>
    </ion-buttons>
    <ion-button
      fill="clear"
      strong="true"
      class="no-background"
      slot="end"
      size="small"
    >
      <ion-text class="ion-text-wrap" color="dark"
        >{{ title }}</ion-text
      ></ion-button
    >
  </ion-toolbar>
</ion-header>

<ion-content>
  <div
    class="viewer-container"
    (swiperight)="swipeRight()"
    (swipeleft)="swipeLeft()"
  >
    <ion-card>
      <ion-card-content>
        <pdf-viewer
          id="viewer"
          [src]="pdfBlob"
          [(page)]="page"
          [show-all]="showAll"
          [external-link-target]="linkTarget"
          [render-text]="renderText"
          [zoom]="zoom"
          [zoom-scale]="zoomScale"
          [original-size]="originalSize"
          [fit-to-page]="fitToPage"
          [autoresize]="autoResize"
          (after-load-complete)="afterLoadComplete($event)"
          (page-rendered)="pageRendered($event)"
          (text-layer-rendered)="textLayerRendered($event)"
          (error)="onError($event)"
          (on-progress)="onProgress($event)"
        ></pdf-viewer>
      </ion-card-content>
    </ion-card>
  </div>
</ion-content>

<ion-footer>
  <ion-toolbar class="container">
    <ion-buttons slot="start" class="controls">
      <ion-buttons color="secondary" (click)="presentPopover($event)">
        <ion-icon slot="icon-only" name="settings-outline"></ion-icon>
      </ion-buttons>
    </ion-buttons>
    <ion-item lines="none" class="pages" slot="end" class="pages">
      <ion-input
        type="number"
        [max]="totalPages"
        [(ngModel)]="chosenPage"
        (ionChange)="changePage()"
      ></ion-input>
      <span style="margin: 0 5px"> / {{ totalPages }}</span>
    </ion-item>
    <ion-item lines="none" slot="end" class="navigator">
      <ion-button
        id="previous"
        (click)="previosPage()"
        [disabled]="page === 1"
        color="primary"
        size="default"
        ><ion-icon name="caret-back-outline"></ion-icon
      ></ion-button>
      <ion-button
        id="next"
        (click)="nextPage()"
        [disabled]="page === totalPages"
        color="primary"
        size="default"
        ><ion-icon name="caret-forward-outline"></ion-icon
      ></ion-button>
    </ion-item>
  </ion-toolbar>
</ion-footer>
